# Creating a new Holiday Calendar Membership

This endpoint returns structured Holiday Calendar Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `holiday_calendar_memberships` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: POST /holiday_calendar_memberships
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `holiday_calendar` (HolidayCalendar) - The Holiday Calendar associated with this HolidayCalendarMembership.
- `user` (User) - The User participating in the Holiday Calendar.

## Request fields (application/json):

  - `holiday_calendar_membership` (object)

  - `holiday_calendar_membership.start_date` (string, required)
    When the calendar begins to apply to the user. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `holiday_calendar_membership.holiday_calendar_id` (integer, required)
    The ID of the calendar that is associated to the user.

  - `holiday_calendar_membership.user_id` (integer, required)
    The ID of the user assigned to the calendar.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

